Subject: Re: reg adjust_total_lowmem

From: Scott Wood <[email-masked]>
Date: Fri, 26 Oct 2007 14:40:05 -0500

On Fri, Oct 26, 2007 at 10:04:19AM -0500, Kumar Gala wrote:
> 
> On Oct 25, 2007, at 10:51 PM, Surya Ravikiran wrote:
> 
> > Hi,
> >
> > I am trying to bootup a Linux kernel, on a FS eval board with 256M.
> > I pass the kernel argument mem=252M, and see that the kernel boots up
> > fine, but with much less memory, ~192M (the closes 64M multiple), and
> > I browsed through the code to see that the adjust_total_lowmem
> > function does not add up the residual memory to the total memory.
> > I am trying to understand why I cannot do this reserving of higher end
> > of the RAM during boot up,
> > I would appreciate your comments.
> 
> The reason you have 192M is that lowmem is the total amount of memory  
> that can be covered by up to three CAM entries.  In the case of  
> setting mem=252M that max that three CAM entries can cover is 192M (64 
> +64+64).  You should be able to access the other 60M via HIGHMEM.

Why doesn't it just use a 256M mapping, and not access the last 4M?

-Scott